using Decal.Interop.Filters;

namespace Decal.Adapter.Wrappers;

public class ByNameFilter : WorldObjectCollectionFilter
{
	private string name;

	public string Name
	{
		get
		{
			return name;
		}
		set
		{
			name = value;
		}
	}

	public ByNameFilter()
	{
	}

	public ByNameFilter(string name)
	{
		this.name = name;
	}

	internal override void ApplyFilter(WorldIterator wi)
	{
		wi.ByName(name);
	}

	internal override void ApplyFilter(Decal.Interop.Filters.Vendor ven)
	{
		ven.ByName(name);
	}
}
